apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: {{ .Values.appName }}
spec:
  secretStoreRef:
    name: {{ .Values.env }}-secretstore
    kind: ClusterSecretStore
  target:
    name: {{ .Values.appName }}
  dataFrom:
  - extract:
      key: {{ .Values.secretPrefix }}/{{ .Values.appName }}